> For the complete documentation index, see [llms.txt](https://docs.nodeum.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.nodeum.io/faq/network-interface-service-mapping.md).

# Network Interface Service Mapping

To bind each service to a specific network interface, follow these steps:

1. Update the inventory files with your desired network interface mapping.
2. Reapply the Ansible playbooks to implement changes.

Within the Nodeum installation package, locate the `/inventory/hosts_vars/srv1` file. This file contains essential configurations and settings for the host.

The service can be configured using the available section. By default, the `iface_name` parameter utilizes the primary network interface, but it can be customized.

```bash
# If there is no default network interface defined or you want to override it
# iface_name: eth0
```

Later in the same file, you'll find various parameters for linking a list of services to a specific interface name.

```bash
# Specific name of interface for each services. Default to iface_name 
# or default network interface) if undefined
# smb_iface_name: eth0
# nfs_iface_name: eth0
# rails_iface_name: eth0
# zookeeper_iface_name: eth0
# solr_iface_name: eth0
# catalog_indexer_iface_name: eth0
```

<mark style="color:purple;">Description of each parameter :</mark>

<table><thead><tr><th width="298">Parameter</th><th>Service Name</th></tr></thead><tbody><tr><td>smb_iface_name</td><td>SAMBA</td></tr><tr><td>nfs_iface_name</td><td>NFS</td></tr><tr><td>rails_iface_name</td><td>RAILS</td></tr><tr><td>solr_iface_name</td><td>SOLR</td></tr><tr><td>catalog_iface_name</td><td>CATALOG INDEXER</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.nodeum.io/faq/network-interface-service-mapping.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
